{% extends "shuup/front/macros/theme/product_ordering.jinja" %}

{% macro render_product_information(product, supplier) %}
    <div class="product-accordions">
        {% if xtheme.should_render_product_detail_tab("description") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#description" aria-expanded="false" aria-controls="description">
                {% trans %}Description{% endtrans %}
            </button>
            <div class="collapse" id="description">
                <div class="collapse-content">
                    {% if product.description or package_children %}
                        {{ product.description|safe_product_description }}
                        {% if package_children %}
                            {% set quantity_map = product.get_package_child_to_quantity_map() %}
                            <p><strong>{% trans %}Includes these products{% endtrans %}</strong></p>
                            <ul>
                                {% for child in package_children %}
                                    <li>
                                        {{ product_line(child, quantity_map[child]) }}
                                    </li>
                                {% endfor %}
                            </ul>
                        {% endif %}
                    {% else %}
                        {% trans %}No product description available{% endtrans %}
                    {% endif %}

                </div>
            </div>
        </div>
        {% endif %}

        {% if xtheme.should_render_product_detail_tab("details") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#details" aria-expanded="false" aria-controls="details">
                {% trans %}Details{% endtrans %}
            </button>
            <div class="collapse" id="details">
                <div class="collapse-content">
                    <dl class="dl-horizontal">
                        <dt>{% trans %}SKU{% endtrans %}</dt>
                        <dd>{{ product.sku }}</dd>
                        {% if product.barcode %}
                            <dt>{% trans %}Barcode{% endtrans %}</dt>
                            <dd>{{ product.barcode }}</dd>
                        {% endif %}
                        {% if product.manufacturer %}
                            <dt>{% trans %}Manufacturer{% endtrans %}</dt>
                            <dd>
                                {% if product.manufacturer.url %}
                                    <a href="{{ product.manufacturer.url }}" target="_blank">{{ product.manufacturer.name }}</a>
                                {% else %}
                                    {{ product.manufacturer.name }}
                                {% endif %}
                            </dd>
                        {% endif %}
                        {% if shop_product.purchase_multiple and shop_product.purchase_multiple > 1 %}
                            <dt>{% trans %}Package Size{% endtrans %}</dt>
                            <dd>{{ shop_product.purchase_multiple }}</dd>
                        {% endif %}
                        {% if shop_product.available_until %}
                            <dt>{% trans %}Available Until{% endtrans %}</dt>
                            <dd>{{ shop_product.available_until|date }}</dd>
                        {% endif %}
                        {% if product.canvas_product %}
                            {% set extras = product.canvas_product %}
                            {% if extras.material_and_fit %}
                                <dt>{% trans %}Material and Fit{% endtrans %}</dt>
                                <dd>{{ extras.material_and_fit }}</dd>
                            {% endif %}
                            {% if extras.care %}
                                <dt>{% trans %}Care{% endtrans %}</dt>
                                <dd>{{ extras.care }}</dd>
                            {% endif %}
                            {% if extras.about_brands %}
                                <dt>{% trans %}About Brands{% endtrans %}</dt>
                                <dd>{{ extras.about_brands }}</dd>
                            {% endif %}
                        {% endif %}
                        {% if product.external_link %}
                            <dt>{% trans %}External link{% endtrans %}</dt>
                            <dd><a href="{{ product.external_link }}" target="_blank">{{ product.external_link }}</a></dd>
                        {% endif %}
                    </dl>
                </div>
            </div>
        </div>
        {% endif %}

        {% if attributes and xtheme.should_render_product_detail_tab("attributes") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#attributes" aria-expanded="false" aria-controls="attributes">
                {% trans %}Attributes{% endtrans %}
            </button>
            <div class="collapse" id="attributes">
                <div class="collapse-content">
                    <dl class="dl-horizontal">
                        {% for attribute in shuup.product.get_visible_attributes(product) %}
                            {% if attribute.value is not none %}
                                <dt>{{ attribute.name }}</dt>
                                <dd>{{ attribute.formatted_value }}</dd>
                            {% endif %}
                        {% endfor %}
                    </dl>
                </div>
            </div>
        </div>
        {% endif %}

        {% set media_files = product.get_public_media() %}
        {% if media_files and xtheme.should_render_product_detail_tab("files") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#files" aria-expanded="false" aria-controls="files">
                {% trans %}Files{% endtrans %}
            </button>
            <div class="collapse" id="files">
                <div class="collapse-content">
                    <dl class="dl-horizontal">
                        {% for file in media_files %}
                            <dt><a href="{{ file.url }}" target="_blank" class="text-underline">{% if file.title %}{{ file.title }}{% else %}{{ file }}{% endif %}</a></dt>
                            <dd>
                                {% if file.description %}
                                    {{ file.description|linebreaksbr }}
                                {% endif %}
                            </dd>
                        {% endfor %}
                    </dl>
                </div>
            </div>
        </div>
        {% endif %}

        {% if xtheme.should_render_product_detail_tab("product_reviews") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#product_reviews" aria-expanded="false" aria-controls="product_reviews">
                {% trans %}Product reviews{% endtrans %}
            </button>
            <div class="collapse" id="product_reviews">
                <div class="collapse-content">
                    {% set review_product=shop_product.product %}
                    {% set title=(reviews_tab_title or "") %}
                    {% include "shuup_product_reviews/plugins/reviews_comments.jinja" with context %}
                </div>
            </div>
        </div>
        {% endif %}

        {% if supplier.description %}
            {% set supplier_url = shuup.urls.model_url(supplier, raise_when_not_found=False) %}
            <div class="single-accordion">
                <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#product_brand_description" aria-expanded="false" aria-controls="product_brand_description">
                    {% trans %}About the Brand{% endtrans %}
                </button>
                <div class="collapse" id="product_brand_description">
                    <div class="collapse-content">
                        <h4 class="h6 mt-1 mb-3">{{ supplier.name }}</h4>
                        {{ supplier.description|linebreaks }}
                        {% if supplier_url %}
                            <a href="{{ supplier_url }}" class="btn btn-white my-3 btn-lg-horizontal">{% trans %}Brand page{% endtrans %}</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        {% endif %}

        {% if xtheme.get("product_detail_extra_tab_title") %}
        <div class="single-accordion">
            <button class="btn btn-accordion btn-block collapsed" type="button" data-toggle="collapse" data-target="#extra" aria-expanded="false" aria-controls="extra">
                {{ xtheme.get("product_detail_extra_tab_title")|safe }}
            </button>
            <div class="collapse" id="extra">
                <div class="collapse-content">
                    {{ xtheme.get("product_detail_extra_tab_content")|safe }}
                </div>
            </div>
        </div>
        {% endif %}
    </div>
{% endmacro %}

{% macro product_line(product, quantity) %}
    {% set u = url("shuup:product", pk=product.pk, slug=product.slug) %}
    {% set unit = product.get_shop_instance(request.shop, allow_cache=True).unit %}
    {{ unit.render_quantity(quantity) }} &times;
    <a href="{{ u }}">{{ product.name }}</a>
{% endmacro %}
